Bug 59428 - (APIC) Interrupts only on CPU0 on machine with P4 Xeon (foster)
Summary: (APIC) Interrupts only on CPU0 on machine with P4 Xeon (foster)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-07 18:49 UTC by Robert Hentosh
Modified: 2007-04-18 16:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-07 19:15:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Hentosh 2002-02-07 18:49:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
All of the interrupts are only being serviced on CPU0 only on SMP machines with 
XEON P4 (foster) processors inside.  Intel has changed how interrupt delivery 
is handled with these processors. The old method of setting the APIC's to low-
priority does not evenly distributed the interrupts among all CPU's.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH7.2 on Dell SMP box with Xeon P4 processors.
2. check /proc/interrupts
3. frown
	

Actual Results:  /proc/interrupts will show 0 interrupts on all sources for any 
CPU other than CPU0.

Expected Results:  interrupt handling should be spread across more than one 
CPU.  This is the behavior with the older Xeon processors (pre-foster)


Additional info:

Ingo is already aware of the issue and is working on a patch.  This has been 
checked on RH kernel's 2.4.3, 2.4.9, 2.4.17

Comment 1 Arjan van de Ven 2002-02-11 16:24:03 UTC
Fixed for the Advanced Server kernel


Note You need to log in before you can comment on or make changes to this bug.